{namespace core=TYPO3\CMS\Core\ViewHelpers}
{namespace sitemgr=KayStrobach\Sitemgr\ViewHelpers}
<h1>
    <f:translate key="Users" default="Backend users of" /> "{customer.title}"
    <f:if condition="{currentUserIsAdmin}">
        <sitemgr:be.link.editLink parameters="edit[pages][{customer.uid}]=edit" returnUrl="{f:uri.action(action:'index', pageUid:customer.uid)}" class="btn btn-link">
            <core:icon identifier="actions-open"></core:icon>
        </sitemgr:be.link.editLink>
    </f:if>
</h1>

<f:if condition="{users -> f:count()}">
    <f:then>
        <f:widget.paginate objects="{users}" as="paginatedUsers" configuration="{insertAbove:0, insertBelow:1}">
            <table class="table table-striped table-hover">
                <thead>
                <tr>
                    <th><f:translate key="User" default="user" /></th>
                    <th>&nbsp;</th>
                </tr>
                </thead>
                <tbody>
                <f:for each="{paginatedUsers}" as="user">
                    <tr>
                        <td>
                            <core:icon identifier="status-user-backend" size="small" />
                            <f:link.action action="edit" arguments="{backendUser:user}">
                                {user.userName}
                            </f:link.action>
                        </td>
                        <td class="text-right">
                            <div class="btn-group" role="group">
                                <f:if condition="{currentUserIsAdmin}">
                                    <sitemgr:be.link.switchUser backendUser="{user}">
                                        Switch
                                    </sitemgr:be.link.switchUser>
                                </f:if>
                            </div>
                            <div class="btn-group" role="group">
                                <f:link.action action="edit" controller="Backend\Acl" arguments="{backendUser:user}" class="btn btn-default">
                                    <core:icon identifier="tcarecords-tx_beacl_acl-default"></core:icon>
                                </f:link.action>
                                <f:link.action action="editPassword" arguments="{backendUser:user}" class="btn btn-default">
                                    <core:icon identifier="t3-form-icon-password"></core:icon>
                                </f:link.action>
                                <f:link.action action="edit" arguments="{backendUser:user}" class="btn btn-default">
                                    <core:icon identifier="actions-open"></core:icon>
                                </f:link.action>
                            </div>
                        </td>
                    </tr>
                </f:for>
                </tbody>
            </table>
        </f:widget.paginate>
    </f:then>
    <f:else>
        <f:be.infobox title="no users defined yet" state="1">
            It seems, that you do not have created any users yet
        </f:be.infobox>
    </f:else>
</f:if>
